function [cout, grad] = softmaxCost(theta, nbClasses, tailleInput, lambda, data, labels)

% nbClasses - le nombre de classes 
% tailleInput - la taille N du vecteur d'entree
% lambda - parametre de regularisation
% data - la matrice des donnees de taille N x M, ou chaque colonne data(:,
% i) correspond a un unique exemple de test
% labels - une matrice M x 1 contenant les labels correspondant aux donnees
% d'entree
%

% Reforme la matrice des parametres theta
theta = reshape(theta, nbClasses, tailleInput);

nbTest = size(data, 2);

groundTruth = full(sparse(labels, 1:nbTest, 1));
cout = 0;

thetagrad = zeros(nbClasses, tailleInput);

%% ---------- VOTRE CODE ICI --------------------------------------
%  Instructions : Calculez le cout et le gradient pour la regression softmax.
%                Vous devez calculer thetagrad et cout.
%                La matrice groundTruth peut etre utile.












% ------------------------------------------------------------------
% "Deroule" la matrice du gradient pour minFunc
grad = [thetagrad(:)];
end

